#!/bin/bash

echo $(basename $0) running

function restart_service() {
  echo Restarting $svc gracefully
  /sbin/service $1 restart
  e_code=$?
  if [ $e_code != 0 ]; then
    echo $1 hanging, waiting 20s to kill $1
    /usr/bin/sleep 20
    /usr/bin/killall -9 $1
    /sbin/service $1 restart
  fi
}

for svc in sendmail httpd; do
  /sbin/service $svc status >/dev/null 2>&1
  e_code=$?
  if [ $e_code != 0 ]; then
    echo service $svc hanging
    restart_service $svc
  else
    echo $svc: OK
  fi
	
done
